GNU bug report logs - #41370
27.0.91; Eshell and exit-minibuffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: André Alexandre Gomes <andremegafone@HIDDEN>; Keywords: fixed confirmed; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 41370 <at> debbugs.gnu.org and André Alexandre Gomes <andremegafone@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41370 <at> debbugs.gnu.org:


Received: (at 41370) by debbugs.gnu.org; 25 May 2020 00:28:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 24 20:28:15 2020
Received: from localhost ([127.0.0.1]:39107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jd0yU-0005cL-VK
	for submit <at> debbugs.gnu.org; Sun, 24 May 2020 20:28:15 -0400
Received: from mail-qt1-f182.google.com ([209.85.160.182]:39563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1jd0yO-0005bt-IF; Sun, 24 May 2020 20:28:09 -0400
Received: by mail-qt1-f182.google.com with SMTP id l1so12776247qtp.6;
 Sun, 24 May 2020 17:28:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=sox1taBnmCIiJl0rJY4ZCgP573DHrvF0Gg21Q72cZRw=;
 b=rq8uk8cOWHUfFajGfAhhyk+0097T7k2g+WC9vsdXbfTjhOn5jt78FTQ0Xt+SssYbyT
 mDE5/30esvaFqG8jW7Z0Vej9Om92MhnZbGDwcK6AjBOtyShQexvxVXQi72Y7Z5T4P8Ll
 kImHcRoHRWBBQKUIlF70xhHaM5rauh9w0cHqKChOuT2/3PvklGKvUwR/jxMEFLTYoY0z
 4pnrZgnGFcQFzTO8FP54ckofHX3I9K9HFvHfXl0YzwRtFrH42Ejr9OEtl3mnV/OyXsv4
 pFXth1levTThoCXcJRnIfsOjpuMtO6GpH/Ro96OicoLgrNv7BKkTdxtUwIejkqC9U22/
 ebYg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=sox1taBnmCIiJl0rJY4ZCgP573DHrvF0Gg21Q72cZRw=;
 b=KPST/mKS60i32ehp3whuyeQ+VvQLB79WxH19eV1QAlJ0/zE0L/2QsXXRYhegWo1O2n
 myo1q3exTeASIlkK9vLE1G68m+bCLH4tjUreBudlZvZvNV6mHWF5Swgqjvyiujzo/F9a
 8m4XV9XBrm+bzcApVgf/L2F5d/p/tvgDqhgFuL1KCnogsa8GTgLcmRIEs05cGk/Qsnrp
 k7VUiMpkHDKEBHb21kS+lo5h2C7X4eB0SiiFD6sThw7dBYjNMpdIBNwWA/Fp4HbVzc0v
 kgBXfrclL2IBMBSuBZnCJc8xCpiDPDvlxLs4y4ghH7eQyQHGJjhaFhSB0reTbQDUu+We
 Oetg==
X-Gm-Message-State: AOAM531pYQ85W1ffUCszivvlin5vxLnMwLJsYx5sJNtfAYuczTRweCF2
 GsXE6hWrhT1SdcvUPANRE4CHPP/T
X-Google-Smtp-Source: ABdhPJwCvFAIXb/WixcQo3RkOpF83nnYFj9ccrYnEkL7MEH9DZoFjgHs8MD2XcnU1pukUFC0pSosWQ==
X-Received: by 2002:ac8:6f55:: with SMTP id n21mr7085808qtv.175.1590366482666; 
 Sun, 24 May 2020 17:28:02 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 u68sm851506qkf.102.2020.05.24.17.28.01
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 24 May 2020 17:28:02 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41370: 27.0.91; Eshell and exit-minibuffer
References: <875zcui7m4.fsf@HIDDEN> <85k116o6n3.fsf@HIDDEN>
 <83v9kq5vpk.fsf@HIDDEN>
Date: Sun, 24 May 2020 20:28:00 -0400
In-Reply-To: <83v9kq5vpk.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 20 May
 2020 21:04:39 +0300")
Message-ID: <874ks4luy7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 41370
Cc: andremegafone@HIDDEN, alex.branham@HIDDEN, 41370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 41370 fixed
close 41370 27.1
unarchive 33808
notfixed 33808 27.1
fixed 33808 28.1
quit

Eli Zaretskii <eliz@HIDDEN> writes:

>> [1: 1ee0192b792]: 2019-08-15 20:49:15 -0400
>>   Fix eshell-mode-map initialization
>>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=1ee0192b792124663a0a40a729dd83c047d21535
>> 
>> I think that should be reverted from emacs-27, and the patch below can
>> fix it for master:
>
> Agreed, thanks.

Done.

[2: 478638e470]: 2020-05-24 20:12:30 -0400
  Revert "Fix eshell-mode-map initialization"
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=478638e4706716b74de5b1aa3e85c8fd943f17ba

[3: b9b8c5e3fa]: 2020-05-24 20:17:40 -0400
  Make dedicated keymap and mode for eshell-command (Bug#41370)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=b9b8c5e3fa71aea719934ce422fb22734590a8b3




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41370; Package emacs. Full text available.

Message received at 41370 <at> debbugs.gnu.org:


Received: (at 41370) by debbugs.gnu.org; 20 May 2020 18:05:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 20 14:05:01 2020
Received: from localhost ([127.0.0.1]:54218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jbT5C-0004PV-6E
	for submit <at> debbugs.gnu.org; Wed, 20 May 2020 14:05:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jbT5B-0004PH-4T
 for 41370 <at> debbugs.gnu.org; Wed, 20 May 2020 14:04:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54906)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jbT55-00034X-TV; Wed, 20 May 2020 14:04:39 -0400
Received: from [176.228.60.248] (port=4108 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jbT54-0006yy-Ok; Wed, 20 May 2020 14:04:39 -0400
Date: Wed, 20 May 2020 21:04:39 +0300
Message-Id: <83v9kq5vpk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-Reply-To: <85k116o6n3.fsf@HIDDEN> (message from Noam Postavsky on Wed,
 20 May 2020 13:31:12 -0400)
Subject: Re: bug#41370: 27.0.91; Eshell and exit-minibuffer
References: <875zcui7m4.fsf@HIDDEN> <85k116o6n3.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41370
Cc: andremegafone@HIDDEN, alex.branham@HIDDEN, 41370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Wed, 20 May 2020 13:31:12 -0400
> Cc: Alex Branham <alex.branham@HIDDEN>, 41370 <at> debbugs.gnu.org
> 
> This is because eshell-command calls eshell-return-exits-minibuffer
> which does
> 
>     (define-key eshell-mode-map [(control ?m)] 'exit-minibuffer)
> 
> This was okay in 26.3 because eshell-mode created its keymap from
> scratch every time.  That's no longer the case since [1: 1ee0192b792]
> (bugs #22792 and #33808).
> 
> [1: 1ee0192b792]: 2019-08-15 20:49:15 -0400
>   Fix eshell-mode-map initialization
>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=1ee0192b792124663a0a40a729dd83c047d21535
> 
> I think that should be reverted from emacs-27, and the patch below can
> fix it for master:

Agreed, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41370; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41370 <at> debbugs.gnu.org:


Received: (at 41370) by debbugs.gnu.org; 20 May 2020 17:31:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 20 13:31:28 2020
Received: from localhost ([127.0.0.1]:54197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jbSYt-0001RB-NU
	for submit <at> debbugs.gnu.org; Wed, 20 May 2020 13:31:28 -0400
Received: from mail-il1-f174.google.com ([209.85.166.174]:32918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1jbSYr-0001Qr-J7; Wed, 20 May 2020 13:31:22 -0400
Received: by mail-il1-f174.google.com with SMTP id y17so1779919ilg.0;
 Wed, 20 May 2020 10:31:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=IEeDVPHRi7Zz//LWrM6j3+cAIIOaDBEqIsWfCTS5A2k=;
 b=F5XSnfcQEURFI5ocbr6s/Q6FJSNIMy3mFpRQ4cdl/Ais5MNI+L3M9Fvo80igoohAep
 eTLU+yHK6qNZxXAH4oQr6z4CfC3B9R1T7TyvhHi8zsS1HzU4l9vay2meEgoyw3pHljDn
 1oSC7ijGOavINjRcaktN4D/6pkUsmlev6DniHtminW3MA4lQ2brBBgt2MI6TgOtolGbJ
 oK+qs4ric/qsCyNhVU0ScmslP2sepZajQR01Jx+C3Zsl2LV40hGCkmiTuzJkJuWT19MH
 R3FQrIQaSc7MtuC1yBotokYYCdbpOT5m4EwLofnQi4l2hozcGvEdYqZIuf0BfLIY7neN
 Z1Nw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=IEeDVPHRi7Zz//LWrM6j3+cAIIOaDBEqIsWfCTS5A2k=;
 b=GLHcEg0jLnksc570MeH0cEJFNJeLO6b/C6J6DyFTwD3AzhDlZPRR1FyPf3tFI8csAw
 c682YnKBGeuu1zZGoe/XOqcMyPZaW+vykc1McqqZLwb4rqFAP6kH9UZU/2eWoh32BEYX
 eGj3huLL6hdqPQF4MH6KXFXUR/sGBLs/ak0CUWDQTXs16hQIGCBAqVcyoczyjV8x7sti
 7IUiPIbZx13Bf8irI+UfLosQdubpA0SNvdChgavMDpd0KpeMpfPH3FXaVPVwyYrYFyiK
 wNOHOzcZSYUcIUL9CDTbWDDy0rKTpw9cDMavLdaDyWTpI9t/lB+hJDVnI4kNJMKCKbxF
 SMzw==
X-Gm-Message-State: AOAM533L/2JR8dwT/xbl3mTl3bNzeiVgDi+FLMEomYy/yyinj8gGvsml
 g9BYkNmIpNILsIbH4ci7u6rWvXs0
X-Google-Smtp-Source: ABdhPJz57uUQcU1ZGD5k/Bxl1/HN2m8zMYK6J/RIoVF64BC5IGr+aOGJyHm8OL8q8Q4i6PN4RuqeoA==
X-Received: by 2002:a92:7ec2:: with SMTP id q63mr4912502ill.20.1589995875571; 
 Wed, 20 May 2020 10:31:15 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id q78sm1638338ilb.25.2020.05.20.10.31.14
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 20 May 2020 10:31:14 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: =?iso-8859-1?Q?Andr=E9?= Alexandre Gomes <andremegafone@HIDDEN>
Subject: Re: bug#41370: 27.0.91; Eshell and exit-minibuffer
References: <875zcui7m4.fsf@HIDDEN>
Date: Wed, 20 May 2020 13:31:12 -0400
In-Reply-To: <875zcui7m4.fsf@HIDDEN> (=?iso-8859-1?Q?=22Andr=E9?=
 Alexandre Gomes"'s message of "Sun, 17 May 2020 22:17:39 +0100")
Message-ID: <85k116o6n3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41370
Cc: Alex Branham <alex.branham@HIDDEN>, 41370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 41370 + confirmed
quit

Andr=E9 Alexandre Gomes <andremegafone@HIDDEN> writes:

> - M-x eshell-command
> - M-n (empty input ring)
> - M-x eshell
> - pwd
> - nothing happens=20
>
> This message appears:
> "exit-minibuffer: No catch for tag: exit, nil"

This is because eshell-command calls eshell-return-exits-minibuffer
which does

    (define-key eshell-mode-map [(control ?m)] 'exit-minibuffer)

This was okay in 26.3 because eshell-mode created its keymap from
scratch every time.  That's no longer the case since [1: 1ee0192b792]
(bugs #22792 and #33808).

[1: 1ee0192b792]: 2019-08-15 20:49:15 -0400
  Fix eshell-mode-map initialization
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3D1ee0192b79212466=
3a0a40a729dd83c047d21535

I think that should be reverted from emacs-27, and the patch below can
fix it for master:

--- i/lisp/eshell/eshell.el
+++ w/lisp/eshell/eshell.el
@@ -265,14 +265,18 @@ eshell
       (eshell-mode))
     buf))
=20
-(defun eshell-return-exits-minibuffer ()
-  ;; This is supposedly run after enabling esh-mode, when eshell-mode-map
-  ;; already exists.
-  (defvar eshell-mode-map)
-  (define-key eshell-mode-map [(control ?g)] 'abort-recursive-edit)
-  (define-key eshell-mode-map [(control ?m)] 'exit-minibuffer)
-  (define-key eshell-mode-map [(control ?j)] 'exit-minibuffer)
-  (define-key eshell-mode-map [(meta control ?m)] 'exit-minibuffer))
+(define-minor-mode eshell-command-mode
+  "Minor mode for `eshell-command' input.
+\\{eshell-command-mode-map}"
+  :keymap (let ((map (make-sparse-keymap)))
+            (define-key map [(control ?g)] 'abort-recursive-edit)
+            (define-key map [(control ?m)] 'exit-minibuffer)
+            (define-key map [(control ?j)] 'exit-minibuffer)
+            (define-key map [(meta control ?m)] 'exit-minibuffer)
+            map))
+
+(define-obsolete-function-alias 'eshell-return-exits-minibuffer
+  #'eshell-command-mode "28.1")
=20
 (defvar eshell-non-interactive-p nil
   "A variable which is non-nil when Eshell is not running interactively.
@@ -292,7 +296,7 @@ eshell-command
     ;; Enable `eshell-mode' only in this minibuffer.
     (minibuffer-with-setup-hook #'(lambda ()
                                     (eshell-mode)
-                                    (eshell-return-exits-minibuffer))
+                                    (eshell-command-mode +1))
       (unless command
         (setq command (read-from-minibuffer "Emacs shell command: "))
 	(if (eshell-using-module 'eshell-hist)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41370; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 May 2020 21:42:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 17 17:42:06 2020
Received: from localhost ([127.0.0.1]:44961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jaR2q-00059I-RH
	for submit <at> debbugs.gnu.org; Sun, 17 May 2020 17:42:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:48292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andremegafone@HIDDEN>) id 1jaQfM-0004Ya-Mf
 for submit <at> debbugs.gnu.org; Sun, 17 May 2020 17:17:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57684)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andremegafone@HIDDEN>)
 id 1jaQfM-0004zF-9V
 for bug-gnu-emacs@HIDDEN; Sun, 17 May 2020 17:17:48 -0400
Received: from mail-wr1-x42c.google.com ([2a00:1450:4864:20::42c]:40695)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <andremegafone@HIDDEN>)
 id 1jaQfI-0004nY-RQ
 for bug-gnu-emacs@HIDDEN; Sun, 17 May 2020 17:17:47 -0400
Received: by mail-wr1-x42c.google.com with SMTP id e16so9518308wra.7
 for <bug-gnu-emacs@HIDDEN>; Sun, 17 May 2020 14:17:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=6lOnkw5Rs007GbdOPuxRHWlhqF+nTvNpz7C6xxVkjDQ=;
 b=C2/5908x+r83AcRYAYCxOAiUW1W1Uq1zgog06MrG9AzmbgzCLGXdNzCR5ONcsRdEh/
 vGPo6eGJOw/lcSFUnXs+jqN90Ar0PCnf6ntTgTUFPkMBQwRI5idr4FzWrunTI7pZB8j2
 yIDvjjh4mTxKyrCN2P0oY98NfJr1/ZaQgTLo1TX9b/QLzlxyR93vkDKxa8/moc54/72d
 160b+HZgDFWiXKs1/Zme2/xhYeGoDM5dssICXHrJdWRVnQoUiGo1dTunpg4Q/WCv5fzH
 IMiEwEfbvw/ZWl8KsroIEfQsYUtNi4g6tNC/td48mgiZCwRjpnfuBP+zsZWIw7b7IGmi
 nxfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=6lOnkw5Rs007GbdOPuxRHWlhqF+nTvNpz7C6xxVkjDQ=;
 b=aLyAdE77+nsLxktTHELUKjI2OUB+zx/LS2jWxY4gbm/cwPlZVhhpx8bkGPdeEiOFok
 1V6xWEiuq7mWfHIw3uRxuXKLTmmPRNpvr4qyZCrJj6TCkXcMc6VD+0XZ0RhJ+RmS0/qa
 3BQisInO4mTrBshUTY6N0FgeG6vlhsaOD8mJwLBPABVN2hhvwWnchMWsmfShheoH4BnS
 W2zZ9OI7DvCdEPBT4iRub5tjdqXJ5wi84BEoT2SE4yc1GiRq6YhGVI4bSP6mTns/gchv
 gqZ7oQe7wp8BeMBuOCD+uUroqh+zg0aIun0xgOIAqB6vzHSUbtyYH753NoyjIYWUBrnh
 L71Q==
X-Gm-Message-State: AOAM533YwairWCRL0WiUFVCcfgO2s/8CZyW7yDpL498ZJyY1BMSHZzgi
 qBnTu2WGXj5gMGpgtvn41Xtp4M24
X-Google-Smtp-Source: ABdhPJyJMYjYf9Q42cV11wRDHs7Q9gzGZ+rBu5dGqTcRdUBBWgI2wDd98NMxLY29rvu1QLYDEm3Nqw==
X-Received: by 2002:adf:f3cc:: with SMTP id g12mr15251493wrp.427.1589750261268; 
 Sun, 17 May 2020 14:17:41 -0700 (PDT)
Received: from guix-xps13 ([2001:818:daa9:6700:462d:384e:6de8:4a1c])
 by smtp.gmail.com with ESMTPSA id t4sm14943830wri.54.2020.05.17.14.17.39
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 17 May 2020 14:17:40 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9_Alexandre_Gomes?= <andremegafone@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.91; Eshell and exit-minibuffer
Date: Sun, 17 May 2020 22:17:39 +0100
Message-ID: <875zcui7m4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a00:1450:4864:20::42c;
 envelope-from=andremegafone@HIDDEN; helo=mail-wr1-x42c.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 17 May 2020 17:42:03 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


- M-x eshell-command
- M-n (empty input ring)
- M-x eshell
- pwd
- nothing happens=20

This message appears:
"exit-minibuffer: No catch for tag: exit, nil"


In GNU Emacs 27.0.91 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.14)
Windowing system distributor 'The X.Org Foundation', version 11.0.12007000
Recent messages:
Opening connection to imap.gmail.com via tls...
Opening connection to imap.gmail.com...done
Reading /home/aadcg/.newsrc.eld...
Opening nnfolder server on archive...done
No new newsgroups
Checking new news...
nnimap read 0k from imap.gmail.com (initial sync of 1 group; please wait)
Reading active file from archive via nnfolder...done
Reading active file via nndraft...done
Checking new news...done

Configured using:
 'configure
 CONFIG_SHELL=3D/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.=
0.16/bin/bash
 SHELL=3D/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bi=
n/bash
 --prefix=3D/gnu/store/fjal608v60mskmb6fbf2f4m3x752k1bb-emacs-next-27.0.91-=
0.c36c5a3
 --enable-fast-install --with-harfbuzz --with-modules
 --disable-build-details'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON PDUMPER GMP

Important settings:
  value of $EMACSLOADPATH: /home/aadcg/.guix-profile/share/emacs/site-lisp:=
/home/aadcg/.guix-profile/share/emacs/27.0.91/lisp
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  cursor-sensor-mode: t
  show-smartparens-global-mode: t
  smartparens-global-mode: t
  global-hl-line-mode: t
  recentf-mode: t
  global-auto-revert-mode: t
  global-company-mode: t
  company-mode: t
  counsel-mode: t
  ivy-mode: t
  shell-dirtrack-mode: t
  global-diff-hl-mode: t
  save-place-mode: t
  minions-mode: t
  override-global-mode: t
  delete-selection-mode: t
  gnus-undo-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/aadcg/.guix-profile/share/emacs/site-lisp/dash-autoloads hides /home/=
aadcg/.emacs.d/elpa/dash-20200426.2244/dash-autoloads
/home/aadcg/.guix-profile/share/emacs/site-lisp/dash hides /home/aadcg/.ema=
cs.d/elpa/dash-20200426.2244/dash
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-man hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ox-man
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-eshell hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ol-eshell
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-colview hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/org-colview
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-id hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/org-id
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-archive hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/org-archive
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-attach-git hides /home/=
aadcg/.emacs.d/elpa/org-9.3.6/org-attach-git
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-mhe hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ol-mhe
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-faces hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-faces
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-macs hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/org-macs
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ref hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-ref
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-macro hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-macro
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob hides /home/aadcg/.emacs=
.d/elpa/org-9.3.6/ob
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-keys hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/org-keys
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-clock hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-clock
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-fortran hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/ob-fortran
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-info hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ol-info
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-emacs-lisp hides /home/a=
adcg/.emacs.d/elpa/org-9.3.6/ob-emacs-lisp
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-css hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-css
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ruby hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-ruby
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-coq hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-coq
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-timer hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-timer
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-lint hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/org-lint
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-mouse hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-mouse
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-C hides /home/aadcg/.ema=
cs.d/elpa/org-9.3.6/ob-C
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-screen hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-screen
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ditaa hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/ob-ditaa
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-sed hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-sed
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ledger hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-ledger
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-docview hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/ol-docview
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-octave hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-octave
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-hledger hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/ob-hledger
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-duration hides /home/aa=
dcg/.emacs.d/elpa/org-9.3.6/org-duration
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-habit hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-habit
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-org hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ox-org
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-gnuplot hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/ob-gnuplot
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-publish hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/ox-publish
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-core hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-core
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-plantuml hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/ob-plantuml
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ocaml hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/ob-ocaml
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-ctags hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-ctags
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-datetree hides /home/aa=
dcg/.emacs.d/elpa/org-9.3.6/org-datetree
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-python hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-python
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-lua hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-lua
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ebnf hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-ebnf
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-compat hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/org-compat
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-bbdb hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ol-bbdb
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-irc hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ol-irc
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-src hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/org-src
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-maxima hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-maxima
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-pcomplete hides /home/a=
adcg/.emacs.d/elpa/org-9.3.6/org-pcomplete
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-list hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/org-list
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-comint hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-comint
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-io hides /home/aadcg/.em=
acs.d/elpa/org-9.3.6/ob-io
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol hides /home/aadcg/.emacs=
.d/elpa/org-9.3.6/ol
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-html hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ox-html
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-texinfo hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/ox-texinfo
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-sql hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-sql
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-dot hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-dot
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox hides /home/aadcg/.emacs=
.d/elpa/org-9.3.6/ox
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-beamer hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ox-beamer
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-md hides /home/aadcg/.em=
acs.d/elpa/org-9.3.6/ox-md
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-abc hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-abc
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-js hides /home/aadcg/.em=
acs.d/elpa/org-9.3.6/ob-js
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-eww hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ol-eww
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-attach hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/org-attach
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-autoloads hides /home/a=
adcg/.emacs.d/elpa/org-9.3.6/org-autoloads
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-indent hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/org-indent
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-ascii hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/ox-ascii
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-capture hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/org-capture
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-calc hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-calc
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-element hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/org-element
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-processing hides /home/a=
adcg/.emacs.d/elpa/org-9.3.6/ob-processing
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-mscgen hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-mscgen
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-latex hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/ob-latex
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-eshell hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-eshell
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-w3m hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ol-w3m
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-latex hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/ox-latex
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-makefile hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/ob-makefile
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-R hides /home/aadcg/.ema=
cs.d/elpa/org-9.3.6/ob-R
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-gnus hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ol-gnus
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-java hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-java
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-tangle hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-tangle
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-lob hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-lob
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-sqlite hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-sqlite
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-stan hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-stan
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-feed hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/org-feed
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-mobile hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/org-mobile
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-forth hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/ob-forth
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-scheme hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-scheme
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-goto hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/org-goto
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-vala hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-vala
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-haskell hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/ob-haskell
/home/aadcg/.guix-profile/share/emacs/site-lisp/org hides /home/aadcg/.emac=
s.d/elpa/org-9.3.6/org
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-crypt hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-crypt
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-shell hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/ob-shell
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-perl hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-perl
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-table hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-table
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-icalendar hides /home/aa=
dcg/.emacs.d/elpa/org-9.3.6/ox-icalendar
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-asymptote hides /home/aa=
dcg/.emacs.d/elpa/org-9.3.6/ob-asymptote
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-tempo hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/org-tempo
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-entities hides /home/aa=
dcg/.emacs.d/elpa/org-9.3.6/org-entities
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-picolisp hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/ob-picolisp
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-odt hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ox-odt
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-inlinetask hides /home/=
aadcg/.emacs.d/elpa/org-9.3.6/org-inlinetask
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-awk hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-awk
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-plot hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/org-plot
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-num hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/org-num
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-matlab hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-matlab
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-protocol hides /home/aa=
dcg/.emacs.d/elpa/org-9.3.6/org-protocol
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-lilypond hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/ob-lilypond
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-agenda hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/org-agenda
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-J hides /home/aadcg/.ema=
cs.d/elpa/org-9.3.6/ob-J
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-rmail hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/ol-rmail
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-loaddefs hides /home/aa=
dcg/.emacs.d/elpa/org-9.3.6/org-loaddefs
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-shen hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-shen
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-exp hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-exp
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-footnote hides /home/aa=
dcg/.emacs.d/elpa/org-9.3.6/org-footnote
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-lisp hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-lisp
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-eval hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-eval
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-table hides /home/aadcg/=
.emacs.d/elpa/org-9.3.6/ob-table
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-groovy hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ob-groovy
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-version hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/org-version
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-clojure hides /home/aadc=
g/.emacs.d/elpa/org-9.3.6/ob-clojure
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-org hides /home/aadcg/.e=
macs.d/elpa/org-9.3.6/ob-org
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-bibtex hides /home/aadcg=
/.emacs.d/elpa/org-9.3.6/ol-bibtex
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-install hides /home/aad=
cg/.emacs.d/elpa/org-9.3.6/org-install
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-sass hides /home/aadcg/.=
emacs.d/elpa/org-9.3.6/ob-sass
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-loader hides /home/aadc=
g/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-loader
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-links hides /home/aadcg=
/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-links
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-tools-autoloads hides /=
home/aadcg/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-tools-autoloads
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-misc hides /home/aadcg/=
.emacs.d/elpa/pdf-tools-20200512.1524/pdf-misc
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-occur hides /home/aadcg=
/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-occur
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-history hides /home/aad=
cg/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-history
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-virtual hides /home/aad=
cg/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-virtual
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-info hides /home/aadcg/=
.emacs.d/elpa/pdf-tools-20200512.1524/pdf-info
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-annot hides /home/aadcg=
/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-annot
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-tools hides /home/aadcg=
/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-tools
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-util hides /home/aadcg/=
.emacs.d/elpa/pdf-tools-20200512.1524/pdf-util
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-outline hides /home/aad=
cg/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-outline
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-sync hides /home/aadcg/=
.emacs.d/elpa/pdf-tools-20200512.1524/pdf-sync
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-isearch hides /home/aad=
cg/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-isearch
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-cache hides /home/aadcg=
/.emacs.d/elpa/pdf-tools-20200512.1524/pdf-cache
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-dev hides /home/aadcg/.=
emacs.d/elpa/pdf-tools-20200512.1524/pdf-dev
/home/aadcg/.guix-profile/share/emacs/site-lisp/pdf-view hides /home/aadcg/=
.emacs.d/elpa/pdf-tools-20200512.1524/pdf-view
/home/aadcg/.guix-profile/share/emacs/site-lisp/s-autoloads hides /home/aad=
cg/.emacs.d/elpa/s-20180406.808/s-autoloads
/home/aadcg/.guix-profile/share/emacs/site-lisp/s hides /home/aadcg/.emacs.=
d/elpa/s-20180406.808/s
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-button hides /home/aadcg=
/.emacs.d/elpa/sx-20191229.1746/sx-button
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-search hides /home/aadcg=
/.emacs.d/elpa/sx-20191229.1746/sx-search
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-cache hides /home/aadcg/=
.emacs.d/elpa/sx-20191229.1746/sx-cache
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-time hides /home/aadcg/.=
emacs.d/elpa/sx-20191229.1746/sx-time
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-method hides /home/aadcg=
/.emacs.d/elpa/sx-20191229.1746/sx-method
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-interaction hides /home/=
aadcg/.emacs.d/elpa/sx-20191229.1746/sx-interaction
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-request hides /home/aadc=
g/.emacs.d/elpa/sx-20191229.1746/sx-request
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-site hides /home/aadcg/.=
emacs.d/elpa/sx-20191229.1746/sx-site
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx hides /home/aadcg/.emacs=
.d/elpa/sx-20191229.1746/sx
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-question-mode hides /hom=
e/aadcg/.emacs.d/elpa/sx-20191229.1746/sx-question-mode
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-favorites hides /home/aa=
dcg/.emacs.d/elpa/sx-20191229.1746/sx-favorites
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-user hides /home/aadcg/.=
emacs.d/elpa/sx-20191229.1746/sx-user
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-question-list hides /hom=
e/aadcg/.emacs.d/elpa/sx-20191229.1746/sx-question-list
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-tab hides /home/aadcg/.e=
macs.d/elpa/sx-20191229.1746/sx-tab
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-encoding hides /home/aad=
cg/.emacs.d/elpa/sx-20191229.1746/sx-encoding
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-babel hides /home/aadcg/=
.emacs.d/elpa/sx-20191229.1746/sx-babel
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-question-print hides /ho=
me/aadcg/.emacs.d/elpa/sx-20191229.1746/sx-question-print
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-notify hides /home/aadcg=
/.emacs.d/elpa/sx-20191229.1746/sx-notify
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-load hides /home/aadcg/.=
emacs.d/elpa/sx-20191229.1746/sx-load
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-question hides /home/aad=
cg/.emacs.d/elpa/sx-20191229.1746/sx-question
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-networks hides /home/aad=
cg/.emacs.d/elpa/sx-20191229.1746/sx-networks
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-inbox hides /home/aadcg/=
.emacs.d/elpa/sx-20191229.1746/sx-inbox
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-filter hides /home/aadcg=
/.emacs.d/elpa/sx-20191229.1746/sx-filter
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-tag hides /home/aadcg/.e=
macs.d/elpa/sx-20191229.1746/sx-tag
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-compose hides /home/aadc=
g/.emacs.d/elpa/sx-20191229.1746/sx-compose
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-auth hides /home/aadcg/.=
emacs.d/elpa/sx-20191229.1746/sx-auth
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-switchto hides /home/aad=
cg/.emacs.d/elpa/sx-20191229.1746/sx-switchto
/home/aadcg/.guix-profile/share/emacs/site-lisp/sx-autoloads hides /home/aa=
dcg/.emacs.d/elpa/sx-20191229.1746/sx-autoloads
/home/aadcg/.guix-profile/share/emacs/site-lisp/markdown-mode-autoloads hid=
es /home/aadcg/.emacs.d/elpa/markdown-mode-20200517.228/markdown-mode-autol=
oads
/home/aadcg/.guix-profile/share/emacs/site-lisp/markdown-mode hides /home/a=
adcg/.emacs.d/elpa/markdown-mode-20200517.228/markdown-mode
/home/aadcg/.guix-profile/share/emacs/site-lisp/tablist-autoloads hides /ho=
me/aadcg/.emacs.d/elpa/tablist-20200427.2205/tablist-autoloads
/home/aadcg/.guix-profile/share/emacs/site-lisp/tablist-filter hides /home/=
aadcg/.emacs.d/elpa/tablist-20200427.2205/tablist-filter
/home/aadcg/.guix-profile/share/emacs/site-lisp/tablist hides /home/aadcg/.=
emacs.d/elpa/tablist-20200427.2205/tablist
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-man hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ox-man
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-eshell hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ol-eshell
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-id hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/org-id
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-mhe hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ol-mhe
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-faces hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-faces
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-plot hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/org-plot
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-macs hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/org-macs
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-num hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/org-num
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ref hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-ref
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-macro hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-macro
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-sqlite hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-sqlite
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-shell hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/ob-shell
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-info hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ol-info
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-icalendar hides /home/aa=
dcg/.guix-profile/share/emacs/27.0.91/lisp/org/ox-icalendar
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-python hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-python
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-exp hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-exp
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-coq hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-coq
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-timer hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-timer
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-lint hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/org-lint
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-latex hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/ob-latex
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-colview hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/org-colview
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ruby hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-ruby
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-sed hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-sed
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-awk hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-awk
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-indent hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/org-indent
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-html hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ox-html
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-habit hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-habit
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-org hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ox-org
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-gnuplot hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/ob-gnuplot
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-perl hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-perl
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ocaml hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/ob-ocaml
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-core hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-core
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-datetree hides /home/aa=
dcg/.guix-profile/share/emacs/27.0.91/lisp/org/org-datetree
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-attach hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/org-attach
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-list hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/org-list
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ebnf hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-ebnf
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-pcomplete hides /home/a=
adcg/.guix-profile/share/emacs/27.0.91/lisp/org/org-pcomplete
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-maxima hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-maxima
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-io hides /home/aadcg/.gu=
ix-profile/share/emacs/27.0.91/lisp/org/ob-io
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-J hides /home/aadcg/.gui=
x-profile/share/emacs/27.0.91/lisp/org/ob-J
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-comint hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-comint
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-texinfo hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/ox-texinfo
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-archive hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/org-archive
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-dot hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-dot
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-mscgen hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-mscgen
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-ascii hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/ox-ascii
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-octave hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-octave
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-entities hides /home/aa=
dcg/.guix-profile/share/emacs/27.0.91/lisp/org/org-entities
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-eww hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ol-eww
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-makefile hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/ob-makefile
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-java hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-java
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-sass hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-sass
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-bibtex hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ol-bibtex
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-capture hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/org-capture
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-groovy hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-groovy
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-calc hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-calc
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-lua hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-lua
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-element hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/org-element
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-processing hides /home/a=
adcg/.guix-profile/share/emacs/27.0.91/lisp/org/ob-processing
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol hides /home/aadcg/.guix-=
profile/share/emacs/27.0.91/lisp/org/ol
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-latex hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/ox-latex
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-bbdb hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ol-bbdb
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-stan hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-stan
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ditaa hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/ob-ditaa
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-w3m hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ol-w3m
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob hides /home/aadcg/.guix-=
profile/share/emacs/27.0.91/lisp/org/ob
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-asymptote hides /home/aa=
dcg/.guix-profile/share/emacs/27.0.91/lisp/org/ob-asymptote
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-tangle hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-tangle
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-lob hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-lob
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-keys hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/org-keys
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-clock hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-clock
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-mobile hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/org-mobile
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-ctags hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-ctags
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-scheme hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-scheme
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-emacs-lisp hides /home/a=
adcg/.guix-profile/share/emacs/27.0.91/lisp/org/ob-emacs-lisp
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-vala hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-vala
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-inlinetask hides /home/=
aadcg/.guix-profile/share/emacs/27.0.91/lisp/org/org-inlinetask
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-haskell hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/ob-haskell
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-goto hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/org-goto
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-eshell hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-eshell
/home/aadcg/.guix-profile/share/emacs/site-lisp/org hides /home/aadcg/.guix=
-profile/share/emacs/27.0.91/lisp/org/org
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-crypt hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-crypt
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-plantuml hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/ob-plantuml
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-attach-git hides /home/=
aadcg/.guix-profile/share/emacs/27.0.91/lisp/org/org-attach-git
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-table hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-table
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-docview hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/ol-docview
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-publish hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/ox-publish
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-compat hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/org-compat
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-rmail hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/ol-rmail
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-agenda hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/org-agenda
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-R hides /home/aadcg/.gui=
x-profile/share/emacs/27.0.91/lisp/org/ob-R
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-src hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/org-src
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-tempo hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-tempo
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-mouse hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/org-mouse
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-table hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/ob-table
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-ledger hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-ledger
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-C hides /home/aadcg/.gui=
x-profile/share/emacs/27.0.91/lisp/org/ob-C
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-screen hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-screen
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-abc hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-abc
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-picolisp hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/ob-picolisp
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox hides /home/aadcg/.guix-=
profile/share/emacs/27.0.91/lisp/org/ox
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-odt hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ox-odt
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-irc hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ol-irc
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-feed hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/org-feed
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-matlab hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ob-matlab
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-md hides /home/aadcg/.gu=
ix-profile/share/emacs/27.0.91/lisp/org/ox-md
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-protocol hides /home/aa=
dcg/.guix-profile/share/emacs/27.0.91/lisp/org/org-protocol
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-hledger hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/ob-hledger
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-js hides /home/aadcg/.gu=
ix-profile/share/emacs/27.0.91/lisp/org/ob-js
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-duration hides /home/aa=
dcg/.guix-profile/share/emacs/27.0.91/lisp/org/org-duration
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-shen hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-shen
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-sql hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-sql
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-loaddefs hides /home/aa=
dcg/.guix-profile/share/emacs/27.0.91/lisp/org/org-loaddefs
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-css hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-css
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-forth hides /home/aadcg/=
.guix-profile/share/emacs/27.0.91/lisp/org/ob-forth
/home/aadcg/.guix-profile/share/emacs/site-lisp/ox-beamer hides /home/aadcg=
/.guix-profile/share/emacs/27.0.91/lisp/org/ox-beamer
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-footnote hides /home/aa=
dcg/.guix-profile/share/emacs/27.0.91/lisp/org/org-footnote
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-lilypond hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/ob-lilypond
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-version hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/org-version
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-fortran hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/ob-fortran
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-org hides /home/aadcg/.g=
uix-profile/share/emacs/27.0.91/lisp/org/ob-org
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-lisp hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-lisp
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-eval hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ob-eval
/home/aadcg/.guix-profile/share/emacs/site-lisp/org-install hides /home/aad=
cg/.guix-profile/share/emacs/27.0.91/lisp/org/org-install
/home/aadcg/.guix-profile/share/emacs/site-lisp/ob-clojure hides /home/aadc=
g/.guix-profile/share/emacs/27.0.91/lisp/org/ob-clojure
/home/aadcg/.guix-profile/share/emacs/site-lisp/ol-gnus hides /home/aadcg/.=
guix-profile/share/emacs/27.0.91/lisp/org/ol-gnus

Features:
(cursor-sensor nndraft nnmh nnfolder utf-7 gnutls network-stream nsm
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime dig nntp gnus-cache mailalias
smtpmail qp magit-utils crm mule-util bookmark eieio-opt speedbar
sb-image ezimage dframe pp shadow sort mail-extr emacsbug em-unix
em-script em-prompt em-ls em-hist em-pred em-glob em-dirs esh-var
em-cmpl em-basic em-banner em-alias esh-mode eshell esh-cmd esh-proc
esh-module esh-groups org-bullets image-file cap-words superword subword
smartparens-config smartparens-text smartparens hl-line tramp-cache
tramp-sh tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat ls-lisp recentf tree-widget autorevert filenotify server
keycast wttrin xterm-color sendmail time yeis ispell robin
google-translate-default-ui google-translate-core-ui
google-translate-core google-translate-tk google-translate-backend
company-oddmuse company-keywords company-etags etags fileloop
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-bbdb company pcase smex ido
counsel xdg xref project compile swiper ivy colir color ivy-overlay
expand-region text-mode-expansions the-org-mode-expansions
er-basic-expansions thingatpt expand-region-core expand-region-custom
pretty-sha-path org-drill-table s org-drill persist org-id org-agenda
htmlize cl ox-beamer ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox ob-ditaa ob-shell
shell ob-latex ob-haskell ob-python ob-scheme geiser-impl help-fns
radix-tree geiser-custom geiser-base rainbow-delimiters diff-hl vc-dir
ewoc vc vc-dispatcher em-term term disp-table ehelp esh-ext esh-opt
esh-io esh-arg esh-util saveplace minions dash edmacro kmacro
use-package-bind-key bind-key delsel modus-operandi-theme
modus-vivendi-theme cus-edit cus-start cus-load use-package-core vc-git
diff-mode org-element avl-tree generator ol-eww ol-rmail ol-mhe ol-irc
ol-info ol-gnus nnir gnus-sum url url-proxy url-privacy url-expand
url-methods url-history mailcap shr url-cookie url-domsuf url-util svg
xml dom gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo parse-time iso8601 gnus-spec gnus-int
gnus-range message rmc puny rfc822 mml mml-sec epa derived epg
epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader gnus-win gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums text-property-search
mail-utils mm-util mail-prsvr wid-edit ol-docview doc-view jka-compr
image-mode exif dired dired-loaddefs ol-bibtex bibtex ol-bbdb ol-w3m
cl-extra help-mode org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete pcomplete comint
ansi-color ring org-list org-faces org-entities time-date noutline
outline easy-mmode org-version ob-emacs-lisp ob-core ob-eval org-table
ol org-keys org-compat advice org-macs org-loaddefs format-spec
find-func cal-menu calendar cal-loaddefs finder-inf yasnippet-autoloads
yaml-mode-autoloads xterm-color-autoloads wttrin-autoloads
with-editor-autoloads visual-fill-column-autoloads use-package-autoloads
telega-autoloads tablist-autoloads sx-autoloads smex-autoloads
smartparens-autoloads s-autoloads rainbow-delimiters-autoloads
pyvenv-autoloads pretty-mode-autoloads pdf-tools-autoloads
org-tree-slide-autoloads org-bullets-autoloads org-autoloads
minions-autoloads markdown-mode-autoloads magit-popup-autoloads
ivy-autoloads hydra-autoloads htmlize-autoloads ht-autoloads
highlight-indentation-autoloads hide-mode-line-autoloads guix-autoloads
rx google-translate-autoloads gif-screencast-autoloads geiser-install
geiser find-file-in-project-autoloads expand-region-autoloads
emojify-autoloads emms-auto elpy-autoloads elmacro-autoloads
edit-indirect-autoloads diminish-autoloads diff-hl-autoloads
default-text-scale-autoloads dash-autoloads csv-mode-autoloads
company-autoloads cdlatex-autoloads bui-autoloads avy-autoloads
auctex-autoloads tex-site guix-emacs info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 639301 29856)
 (symbols 48 43577 6)
 (strings 32 179474 11207)
 (string-bytes 1 5452685)
 (vectors 16 67016)
 (vector-slots 8 1524992 62046)
 (floats 8 736 315)
 (intervals 56 5149 384)
 (buffers 1000 29))
<#secure method=3Dpgpmime mode=3Dencrypt>

--=20


--=20
Andr=C3=A9 Alexandre Gomes
"Free Thought, Free World"




Acknowledgement sent to André Alexandre Gomes <andremegafone@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41370; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 May 2020 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.